Package com.collibra.dgc.workflow.api.listener

# Class SendEscalationEventExecutionListener

java.lang.Object
com.collibra.dgc.workflow.api.listener.SendEscalationEventExecutionListener

All Implemented Interfaces:
  `Serializable`, `org.flowable.engine.delegate.BaseExecutionListener`, `org.flowable.engine.delegate.ExecutionListener`

public class SendEscalationEventExecutionListener extends Object implements org.flowable.engine.delegate.ExecutionListener
This `ExecutionListener` will send an escalation application event.

Possible input fields are:

- taskId: The id of the task you want to send an escalation for. This will only work if the task is the only instantiated task with the given id e.g. multi instance tasks won't work with this.
- escalationType: The escaltion type you want to set in the 'event' bean. You can use this to differentiate between different workflow escalation execution paths like in the standard escalation process (OPTIONAL). If not specified, this will look at the escalation type configuration variable which is set for the given task.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface org.flowable.engine.delegate.BaseExecutionListener

  `EVENTNAME_END, EVENTNAME_START, EVENTNAME_TAKE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendEscalationEventExecutionListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.flowable.common.engine.api.delegate.Expression`
  `getEscalationType()`
  `String`
  `getEscalationType(org.flowable.engine.delegate.DelegateExecution execution)`
  Retrieve the escalation type, first look in the escalationType field of this Listener, then look in the standard escalation type variable of the current execution.
  `org.flowable.common.engine.api.delegate.Expression`
  `getTaskId()`
  `void`
  `notify(org.flowable.engine.delegate.DelegateExecution execution)`
  `void`
  `setEscalationType(org.flowable.common.engine.api.delegate.Expression escalationType)`
  `void`
  `setTaskId(org.flowable.common.engine.api.delegate.Expression taskId)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendEscalationEventExecutionListener

    public SendEscalationEventExecutionListener()

- ## Method Details

  - ### notify

    public void notify(org.flowable.engine.delegate.DelegateExecution execution)
    Specified by:
      `notify` in interface `org.flowable.engine.delegate.ExecutionListener`

  - ### getEscalationType

    public String getEscalationType(org.flowable.engine.delegate.DelegateExecution execution)
    Retrieve the escalation type, first look in the escalationType field of this Listener, then look in the standard escalation type variable of the current execution.
    Parameters:
      `execution` - The current `DelegateExecution`
    Returns:
      The escalation type of the escalation event

  - ### getEscalationType

    public org.flowable.common.engine.api.delegate.Expression getEscalationType()

  - ### getTaskId

    public org.flowable.common.engine.api.delegate.Expression getTaskId()

  - ### setTaskId

    public void setTaskId(org.flowable.common.engine.api.delegate.Expression taskId)

  - ### setEscalationType

    public void setEscalationType(org.flowable.common.engine.api.delegate.Expression escalationType)